MIDGSMOOTH(1)

NAME
MIDGsmooth - send MIDG-formatted GPS data to a FlightGear instance

SYNOPSIS
MIDGsmooth --help
    | --infile infile_name [options]...
    | --serial dev_name --outfile outfile_name [options]...

DESCRIPTION
MIDGsmooth is a utility that reads GPS data in MIDG format from a text file or from an MIDG device connected to the serial port, parses it and sends it to a FlightGear instance for replaying.

OPTIONS

--help
    Display usage information and exit.

--infile infile_name
    Read GPS data from infile_name.

--serial dev_name
    Read GPS data from the serial device named dev_name.

--outfile outfile_name
    Save the data retrieved from the device to outfile_name.

--hertz frequency
    Specify the frequency to use for sending data to the FlightGear instance. By default, events are sent at a frequency of 60 Hz.

--host hostname
    Send the data to the FlightGear instance running on hostname. If --host is not specified, the default is to send the data to localhost.

--skip-seconds seconds
    Do not transmit the first seconds seconds of data. This option is ignored when reading GPS data from a serial device.

--broadcast
    Send flight data model and control data as broadcast packets.

--fdm-port port
    Set the port flight data model data should be sent to. By default, data is sent to port 5505.

--ctrls-port port
    Set the port control data should be sent to. By default, data is sent to port 5506.

--altitude-offset meters
    Add the specified offset (in meters) to the altitude sent to FlightGear.

EXIT STATUS
MIDGsmooth exits with 0 on success, with -1 if the syntax of the command-line arguments is wrong or an error occurs.

SEE ALSO
fgfs(1), GPSsmooth(1), UGsmooth(1)